﻿(defun c:xdsearch (/ ap ss0 ss1 ss2)
 (sssetfirst nil nil)
 (if (= ""
        (setq app
               (getstring
                 "\nNom de l'application (ou des applications séparés par une virgule) : "
               )
        )
     )
   (setq app "*")
 )
 (if (setq ss0 (ssget))
   (progn
     (setq ss1 (ssadd)
           ss2 (ssadd)
           n   0
     )
     (while (setq ent (ssname ss0 n))
       (if (cdr (assoc -3 (entget ent (list app))))
         (ssadd ent ss1)
         (ssadd ent ss2)
       )
       (setq n (1+ n))
     )
     (princ
       (strcat (itoa (sslength ss0))
               " objets sélectionnées "
               (itoa (sslength ss1))
               " avec données étendues"
       )
     )
     (initget "Avec Sans")
     (if
       (= "Sans"
          (getkword "\nChoisir l'option [Avec/Sans] données étendues : ")
       )
        (sssetfirst nil ss2)
        (sssetfirst nil ss1)
     )
   )
 )
 (princ)
)